| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
/builds/wireshark/wireshark/fileset.h File Reference
`#include <inttypes.h>`
`#include <time.h>`

Go to the source code of this file.

## Classes
struct | _fileset_entry

## Typedefs
typedef struct _fileset_entry | fileset_entry

## Enumerations
enum | fileset_match_t { FILESET_NO_MATCH , FILESET_TIME_NUM , FILESET_NUM_TIME }

## Functions
fileset_match_t | fileset_filename_match_pattern (const char *fname, char **prefix, char **suffix, char **time)
void | fileset_add_dir (const char *fname, void *window)
void | fileset_delete (void)
const char * | fileset_get_dirname (void)
fileset_entry * | fileset_get_next (void)
fileset_entry * | fileset_get_previous (void)
void | fileset_dlg_add_file (fileset_entry *entry, void *window)
void | fileset_dlg_begin_add_file (void *window)
void | fileset_dlg_end_add_file (void *window)
void | fileset_update_dlg (void *window)
void | fileset_update_file (const char *path)

## Detailed Description

Definitions for routines for file sets.

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ fileset_dlg_add_file()

void fileset_dlg_add_file | ( | fileset_entry * | entry,
|  | void * | window
| ) |  |
| extern

Add an entry to our dialog / window. Called by fileset_update_dlg. Must be implemented in the UI.

Parameters

  entry | The new fileset entry.
  window | Window / dialog reference provided by the UI code.

## ◆ fileset_dlg_begin_add_file()

void fileset_dlg_begin_add_file | ( | void * | window | ) |
| extern

Notify our dialog / window that we're about to add files. Called by fileset_update_dlg. Must be implemented in the UI.

Parameters

  window | Window / dialog reference provided by the UI code.

## ◆ fileset_dlg_end_add_file()

void fileset_dlg_end_add_file | ( | void * | window | ) |
| extern

Notify our dialog / window that we're done adding files. Called by fileset_update_dlg. Must be implemented in the UI.

Parameters

  window | Window / dialog reference provided by the UI code.